/*
 * MAX : tr8837.cc, Fri Feb 15 18:11:21 CET 2002 -sg
 *
 * Device driver for the LeCroy TR 8837 F Transient Recorder 
 *
 * This file is part of Max data acquisition software
 * (c) 2002 S. Gerlach
 *
 * Max is free software; you can redistribute it and/or modify it
 * under the terms of the version 2 of GNU General Public License as
 * published by the Free Software Foundation.
 *
 * Max is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * (see the file COPYING) in this directory; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <math.h>
#include "list.hh"
#include "sched.hh"
#include "error.hh"

extern "C" {
#include "camacs.h"
}

//#define DEBUG_DEV_TR8837

// global variables
static int  N;


/*****************************************************************************/

//init function
int tr8837_init(List *device_data, Scheduler *parameters)
{	
  if (camac_init() != 1)
    if (!parameters->error(E_CAMAC,"Couldn't initialize device "))
      return 0;

  printf("\ninitializing tr8837\n");
  device_data->getvar(&N,"tr8837","N");

  return 1;
}

int tr8837_pre ( List *device_data, Scheduler *parameters )
{
		
	return 1;
}

int tr8837 ( List *device_data, Scheduler *parameters )
{
	return 1;
}

int tr8837_close(List *device_data, Scheduler *parameters)
{
	printf("\nclosing tr8837\n");
	
	if (camac_close() != 1)
		if (!parameters->error(E_CAMAC,"Couldn't close device"))
			return 0;

	return 1;
}
