/*
 * MAX : devices.h.test, Sam Dez 29 20:18:28 CET 2001 -sg
 *
 * This file is part of Max data acquisition software
 * Copyright (C) 1998 Christian Rosen
 *
 * Max is free software; you can redistribute it and/or modify it
 * under the terms of the version 2 of GNU General Public License as
 * published by the Free Software Foundation.
 *
 * Max is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * (see the file COPYING) in this directory; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef DEVICES_H
#define DEVICES_H
#include "list.hh"   //this is class that contains the device parameter database
#include "sched.hh"  //this class does the datastorage before it is send to client 

int adc_init   (List *, Scheduler *);
int adc        (List *, Scheduler *);
int adc_pre    (List *, Scheduler *);

int laser_init (List *, Scheduler *);
int laser_pre (List *, Scheduler *);
int laser (List *, Scheduler *);
int laser_close (List *, Scheduler *);

#define NUMBER_DEVICES 1

int (*Function_List      [NUMBER_DEVICES]) (List *, Scheduler *)  = {
laser
};

int (*Pre_Function_List  [NUMBER_DEVICES]) (List *, Scheduler *)  = {
laser_pre
};

int (*Init_Function_List [NUMBER_DEVICES]) (List *, Scheduler *)  = {
laser_init
};

int (*Close_Function_List[NUMBER_DEVICES]) (List *, Scheduler *)  = {
laser_close
};

#endif

