/*
 * MAX : error.hh, Sam Dez 29 19:38:03 CET 2001
 *
 * This file is part of Max data acquisition software
 * Copyright (C) 1998 Christian Rosen
 *
 * Max is free software; you can redistribute it and/or modify it
 * under the terms of the version 2 of GNU General Public License as
 * published by the Free Software Foundation.
 *
 * Max is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * (see the file COPYING) in this directory; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

//This routine handles the error events
//Call this funcrtion with the ERROR-KONSTANT and the function name
//It returns 1 for o.k. button and 0 for cnacel button pressed
#ifndef ERROR_H
#define ERROR_H

#include <string.h>
#include <stdio.h>

#include <qstring.h>
#include <qwidget.h>
#include <qmsgbox.h>

//defines for error constants
#define E_TIMEOUT          "timeout "
#define E_CAMAC            "CAMAC error "
#define E_BUS              "Bus error "
#define E_FILENOTFOUND     "file not found "
#define E_ALLFUCKEDUP      "all is fucked up "
#define E_DEVICE_NOT_FOUND "Couln't find device "
#define E_CLOSING_DEVICES  "while closing devices "
#define E_RANGE            "due to wrong range "
#define E_IB_WRITE         "Ib write to "
#define E_IB_READ          "Ib read from "
#define E_GPIB             "GPIB error "
#define E_OPEN             "Could not open file "
#define E_SYS_MEM          "Not enough memory "
#define E_FILE_NOT_FOUND   "File not found : "
#define E_NOT_SEND         "Could not send data"
#define E_NOT_RECEIVE      "Error receiving data"
#define E_CMD_NOT_SEND     "Could not send command"
#define E_NUMBER_TOO_LARGE "Number larger than 16 bit"
/*internal error message, not called by the user device*/
int Ierror(char *,char *,char *);

#endif
